using EorzeaVotes.Config;

namespace EorzeaVotes.Model;

[Serializable]
internal class VoteRequest {
    public required Guid QuestionId { get; init; }
    public required ushort Answer { get; init; }
    public required VoteStats Stats { get; init; }
}

[Serializable]
internal class VoteStats {
    public required Gender? Gender { get; init; }
    public required DateOnly? BirthDate { get; init; }
    public required byte? CharacterRace { get; init; }
    public required byte? CharacterClan { get; init; }
    public required byte? CharacterGender { get; init; }
    public required uint? CharacterHomeWorld { get; init; }
    public required ushort? YearStartedPlaying { get; init; }
    public required Mbti? MyersBriggs { get; init; }
    public required uint? MainJob { get; init; }
}
