using Dalamud.IoC;
using Dalamud.Plugin.Services;

namespace EorzeaVotes.Utilities;

#pragma warning disable CS8618 // Non-nullable field must contain a non-null value when exiting constructor. Consider declaring as nullable.
internal class Service {
    [PluginService]
    internal static IDataManager DataManager { get; private set; }

    [PluginService]
    internal static IPluginLog Log { get; private set; }
}
