use serde::Deserialize;

#[derive(Deserialize)]
pub struct Config {
    pub server: Server,
    pub database: Database,
}

#[derive(Deserialize)]
pub struct Server {
    pub address: String,
}

#[derive(Deserialize)]
pub struct Database {
    pub host: String,
    pub port: u16,
    pub name: String,
    pub username: String,
    pub password: String,
}
