using Dalamud.Configuration;

namespace EorzeaVotes.Config;

[Serializable]
internal class Configuration : IPluginConfiguration {
    internal const int MinFreq = 60;
    internal const int MaxFreq = 3_600;
    
    public int Version { get; set; } = 1;

    public string? UserId;
    public string? ApiKey;

    public bool OpenWhenNew = true;
    public int CheckFrequency = 300;

    public bool OnBoarded;
    public Gender? Gender = null;
    public DateOnly? BirthDate = null;
    public bool RaceClanGender = false;
    public bool HomeWorld = false;
    public int YearStartedPlaying;
    public Mbti? MyersBriggs = null;
    public uint? MainJob;
}
