using System.Diagnostics;
using System.Numerics;
using ImGuiNET;

namespace EorzeaVotes.Ui.Tabs;

internal class SuggestTab {
    internal static void Draw() {
        if (!ImGui.BeginTabItem("Suggest a question")) {
            return;
        }

        ImGui.TextUnformatted("If you have an idea for a question, feel free to submit it using the website below!");

        var availX = ImGui.GetContentRegionAvail().X;
        if (ImGui.Button("Open suggestion website", new Vector2(availX, 0))) {
            Process.Start(new ProcessStartInfo("https://eorzeavotes.anna.lgbt") {
                UseShellExecute = true,
            });
        }
    }
}